Subject: Detail in draft-ietf-6man-segment-routing-header-06

From: Brian E Carpenter <[email-masked]>
Date: Wed, 5 Apr 2017 01:43:28 +1200

Hi,

Unless I've missed it, draft-ietf-6man-segment-routing-header-06
doesn't actually specify the encapsulation mechanism mentioned
in section 5.1 and elsewhere.

Will it simply be IPv6-in-IPv6 using header type 41 [RFC2473]?

Regards
   Brian Carpenter

---

From: "Stefano Previdi (sprevidi)" <[email-masked]>
Date: Tue, 4 Apr 2017 14:02:21 +0000

the SRH draft specifies that the SRH is added to the packet by the packet source:

. an ingress router receives an incoming ipv6 packet
. such packet is encapsulated into an outer IPv6 header
. an SRH is then added to the outer encapsulation

the SRH draft doesn’t describe the case where the SRH is inserted by a core transit node. Such use-case is described in draft-voyer-6man-header-insertion.

s.

> On Apr 4, 2017, at 3:43 PM, Brian E Carpenter <[email-masked]> wrote:
> 
> Hi,
> 
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 5 Apr 2017 08:35:07 +1200

Stefano,

Yes. But the draft does not specify the encapsulation method. So if
I was implementing this, I would have to guess. My guess is protocol
41 but I might be wrong. At the moment the draft is underspecified.

    Brian

---

From: "Stefano Previdi (sprevidi)" <[email-masked]>
Date: Wed, 5 Apr 2017 07:16:45 +0000

section 2.3
[...]
  o  At the ingress node of an SR domain where the ingress node
      receives an IPv6 packet and encapsulates it into an outer IPv6
      header followed by a Segment Routing header.
[...]

yes, “outer ipv6 header” is intended as protocol 41. I’ll make this more specific.

s.

> On Apr 4, 2017, at 10:35 PM, Brian E Carpenter <[email-masked]> wrote:
> 
> Stefano,
>